Tips for Speedy use of the Online Documentation

Tips for speedy use of LANSA's Online Documentation

  • Why Online Documentation?
  • Navigation
  • Searching
  • Printing
  • Copying and Pasting
  • Keyboard Shortcuts
  • Context Sensitive Help
  • Legal Notices
  • Disclaimer

If you are having trouble viewing the online documentation, please visit Troubleshooting on LANSA's web site.

Edition Date May 12, 2009

© 2010 LANSA

1. Why Online Documentation?
2. Navigation
2.1 Main toolbar
2.2 Internal toolbar
3. Searching
4. Printing
4.1 Control your Headers and Footers when Printing
5. Copy and Paste Program Examples
6. Keyboard Short Cuts
7. Context Sensitive Help
8. Troubleshooting
Disclaimer
Legal Notices


1. Why Online Documentation?

LANSA's online documentation has been created to give you comprehensive, quick and easy access to the vast knowledge base on LANSA products.

Unlike documentation on paper, the online format gives you powerful search facilities as well as the ability to 5. Copy and Paste Program Examples from the many program examples that are provided.

If you prefer to learn about a LANSA feature from a paper document, simply print it. Using this Compiled HTML format, you can print a single topic, a chapter or even a whole guide. Before you do very much printing, we recommend that you look at the 4. Printing tips.

If you prefer to use a keyboard rather than a mouse, try the 6. Keyboard Short Cuts .


2. Navigation

To navigate around the LANSA online documentation you use the same techniques that you would use with most other PC tools.

For example, in the Contents tab:

  • Double click on a guide title or heading with a closed book symbol to open the next level of the contents. Double click on an open book symbol to close it.
  • Right click with your mouse to open a context menu. From the context menu, you can choose to display the entire table of contents or alternatively, you can close the table of contents.
  • Single click on a topic in the Contents list to have the matching page displayed.

In the Search tab:

  • Enter whole words to be searched for. You can use multiple words. If they are to remain together for the search, such as a phrase, enclose them with double quotes except if you are searching for a heading, in which case, double quotes are not necessary.
  • Select the type of search from the options at the bottom of the Search tab. You will search in either the headings, all the text or within topics already found by a search, for an exact match on your search word and so on.
  • For further tips on the searching features, refer to 3. Searching .
  • If you wish to locate the context of a topic topic found by a search, simply double click on it to open you must have the Contents list is open (i.e. showing more than just the guide heading). To open the Contents list, simply double click on any topic in the search list, then switch to the Contents tab. Your selected topic will be highlighted in the Contents list.
  • Double click on a topic in the Search results list to have the matching page displayed.
  • Further navigation is possible using the 2.1 Main toolbar and the 2.2 Internal toolbar.


2.1 Main toolbar

Some of the main toolbar icons may be new to you. Here is what they do:

Click on this tool to hide the Contents window. When it is hidden, click on it again to Show the Contents window.

Use this tool to move to the page following the one you are looking at. This Next tool is not available with global windows only when you open an individual guide..

Use this tool to go to the page before the one you are currently looking at. This Previous tool is not available with global windows, only when you open an individual guide.

Click on this tool to go back over the path you have just travelled. Use this tool to return to your place after investigating a jump to another topic.

If you have back-tracked over the pages that you have visited, you can use this tool to go forward over your path to return to your starting page.

Click this tool to remove the highlighting. Note that when you select a page that results from a Search, the text matching the search criteria is highlighted. If you copy any of this text, the highlighted words will be in a different colour to the remaining text unless you clear the highlighting first using this tool.

Use this tool to go to the cover page of the guide you are looking at. This page contains the edition date of the file you are looking at..

When you choose this Print tool, if the Contents tab is displayed, you can select to print a single topic or a topic with all sub-topics.
To print a whole guide, highlight the Guide Name in the Contents list, select this Print tool and select the option to Print this topic and all subtopics.

Sometimes LANSA publishes editions of an online guide after the software version has been released. This may be to correct errors, or to add text about a new feature that has been issued as an EPC (Expedited Program Change). Press this button to open a page on the LANSA Web site that will show you a list of guides that have been released since the version you are looking at. The list allows you to download the latest version of the guide(s) listed.

To determine if the web site contains a guide that is newer than the one you have, compare your guide's Edition Date on the cover page with the Edition Date for the same guide on the LANSA web site.

Press this icon to open this Tips file. Perhaps you'd like help with the Search facility, or want to check how to set up your headers and footers before printing some documentation pages.


2.2 Internal toolbar

At the top of each documentation page is a second toolbar. This toolbar provides you with some extra navigation tools.

Refer to 7. Context Sensitive Help to find out what these toolbar buttons can do for you.


3. Searching

The major benefit of online guides, apart from the fact that you don't have to leave your desk to find the guide you want, is the speed with which you can access information.

LANSA's online guides in CHM format, have extremely useful Search facilities....

Search basics:

In the Search tab, enter a search word or phrase in the entry field and press the List Topics button (or use the shortcut keys Alt + L) to start the search. The first 500 topics that contain the word you have requested are displayed in a list.

When you double click on an item in the list, the page containing the relevant text is immediately displayed. If you have already 'opened' the Contents list, then switch to Contents tab to see the context of the item in the relevant guide.

If you click on one of the list's column headings it will sort the items in the column.

Using the options at the bottom of the Search tab, you can also

  • Search titles only
    Select this option to locate a word or phrase in headings only. There is no need to enclose a phrase in quotes when you search on headings.
  • Match similar words
    Find words that are similar to the one you want, by selecting this option.
    For example, if you search for a word that may be singular or plural, then with this option on, topics containing both single and plural will be returned to you in the Search results. For example, the search word partition, with this option on, will return to you topics containing 'partition' and 'partitions'. If you leave this option off and search for partition, only exact matches will be returned, that is, instances of 'partition', and not 'partitions'.
  • Search previous results
    Search within a search that you've just done by selecting this option while the results of the first search are displayed in the Search window.

And there's more....

  • Single Word search
    Searches are not case sensitive so partition and PARTITION will give you the same results. Use whole words for your search. If your word contains symbols, enclose it in quotes, for example "DC@F05" otherwise the symbol will be treated as a wildcard.
  • Search for a phrase
    You need to enclose your search words in quotes (single or double) otherwise you will have every topic with each instance of each word returned to you. For example, "repository files" or 'repository files' will return all instances of these two words when they are side by side. Without the double quotes, the search will return all the instances of repository as well as files. If you search for multiple words in a title, you don't need to use the quotes.
  • Wildcards
    An asterisk in a word can be substituted for single or multiple letters. For example, fun* will return topics containing fun, function, functions, FUNC01, FUNC02 and so on.
  • Boolean operators
    To the right of the search word is an arrow button [image] which opens a list of boolean operators: AND, OR, NEAR, NOT. You can type these words (in upper case) into your Search words or you can select them from the list. You can also use a combination of these boolean operators and you can use them with the Match similar words option. Multiple search words are evaluated from left to right.
AND | Will locate topics that contain all of your search words but they won't necessarily be together. You can use multiple AND operators. For example, : repository AND application AND guide AND component. Quotes aren't necessary.
OR | Will locate topics that contain either one of the words in the search criteria. You can use more than two words with an OR operator.
NEAR | Words that are in the same topic but near each other are found using NEAR. Is this very different to the AND operator? Open the LANSA User Assistance window and try searching for repository NEAR application NEAR guide NEAR component. Then do the same search with the AND operator.
NOT | Will locate the first word but not the word following the NOT. For example: function NOT processes NOT web.
  • Nested expressions
    You can use parentheses to group some of your selections together. Expressions between paretheses are evaluated before the rest of your search words.
  • Search a single guide
    If you are looking at all the guides (having opened them via the BeginHere.chm) and wish to search in only one guide, go to any page in the required guide, press the single blue book icon and the selected guide will open in a new window. You can then do your search using any of the search features.
  • Search all guides
    If you are looking at an individual guide (such as when you have accessed it through context sensitive help) and wish to search through all the guides, then click on the multi-book icon in the in BeginHere list of all guides will open. You can search all the guides using any of the search featurres.
  • Search a group of guides
    If you are wanting to search a specific group of guides, such as the Web guides, you will need to return to the documentation Directory and open the Web groups global window. You can also open from the Directory any other group of guides that is supplied. Once open, you can search them using any of the search features.

Also see

Unnecessary pages selected for why selected pages sometimes have no highlighting.


4. Printing

You can print the text of a topic, chapter, some highlighted text or even a whole guide if you want to.

LANSA documentation has a Print-only feature.

You will find that your printed version is NOT the same as you see on the screen. The text on the printed page is in the Times New Roman font which is designed for easier reading from paper. If you print a whole guide from the beginning (refer to the Print tool in 2. Navigation for more information) you will find a Table of Contents is included. This table of contents is for print only and is not visible in your on-line window.

If you intend printing a large amount of text:

  • Check how to 4.1 Control your Headers and Footers when Printing, to include useful information.
  • Print and check a few pages before commencing the full print.

Some older printer drivers do not cater for the printing of HTML, so it is important that you check your results before printing a large number of pages. If the quality of your printing is not as good as it should be, you should update your printer's driver or, if possible, use a different printer.

To print all or a section of the file

1. In the Contents list of the CHM file and select the heading from which you wish to start printing:

a. If you want to print a whole guide, select the guide name in the Contents list.

b. If you want to a whole chapter or section that has sub topics, in the Contents list, select the heading from which you wish to start printing.

2. Select the [image] icon in the documentation toolbar. You will be presented with a selection dialog:

3. Select the option to Print the selected heading and all subtopics and press OK. You will then be presented with your regular Print dialog which you will use as with any printing job.


4.1 Control your Headers and Footers when Printing

Open your Internet Explorer browser.

Select the File menu and choose Page Setup. (You don't have to close the LANSA online guides to do this.)

You will see the entries that are currently printed in the header and footer. Automatically inserted entries are indicated by an ampersand (&) and a character. This is what the characters following the ampersand represent:

wName of first topic at start of printing

uPage address (URL). Do NOT use when printing pages from CHM files.

dCurrent date in short format (as you've specified in the Regional Settings in the Control Panel)

DCurrent date in long format (as you've specified in the Regional Settings in the Control Panel)

tCurrent time in the format specified in the Regional Settings in the Control Panel

TCurrent time in 24-hour format

pPrint page number

PTotal number of pages in the document

bRight-align text

&A single ampersand (&) to be inserted as a literal (For example insert && to print &.)

Simply change what is displayed to what you want to see. You can include any literals.

For example, to have:

  • the topic heading (&w) in the top left corner of the page
  • the page number (&p) within the total number of pages (&P) in the top right corner of the page (&b)
  • and the current date in short format (&d) following the literal "Printed on" in the bottom right corner of the page

your Page Setup header and footer would look like this:


5. Copy and Paste Program Examples

Many program examples have been provided for you to use in your applications. To use these examples, simply highlight the required text in your browser window, copy (using Ctrl + C) and then paste it into your application or a text editor. If you are pasting code into an IBM i, then you will get the best results using the SEU Editor.

To copy a large amount of text, press the Shift button and click your cursor at the beginning of the text to be copied. While holding your Shift button down, go to the end of the text to be copied (you can use the scroll bars to do this) and click your cursor on the final character to be copied. The text you want to copy will now be highlighted. Release the Shift button.

Depending on the version of browser that you are using, you may find that if you do a simple copy and paste you will lose the spacing that you can see on the screen.

To retain the spacing that you require, use Paste Special, and choose Unformatted Text when you paste your selected text into MS Word or a text editor.

Unfortunately, when you copy "normal" text (as opposed to program examples) you may lose any multiple spaces to the right of the last character. Again, this depends on the browser that you are using and there is nothing you can do to improve it. This loss of spaces will not occur when you print directly from the browser using the browser's own Print option.

If you copy some text that you have found using the search option, you will find that the highlighted words are in a different color in your copied text. To avoid this, simply press the Refresh tool on the toolbar to remove the highlighting - then copy and paste it as described above.

Unfortunately, with the new Internet Explorer browsers, you cannot copy and paste graphics into another application (such as Word).


6. Keyboard Short Cuts

After you enter the Search criteria:

  • Alt + L to list the matching topics
  • Alt + D to display the topic that you have highlighted in the list.
  • Up and Down arrows in the Select topic list to select a topic.

Refine your search-

  • Alt + U to toggle Search Previous Results option on or off
  • Alt + M to toggle Match Similar Words option on or off the
  • Alt + R to toggle Search Titles only optionon or off.

Select tabs:

  • Alt + C selects the Contents list
  • Alt + S selects the Search tab
  • Alt + I selects the Favourites tab (Alt + A to add the current topic to your favourites)


7. Context Sensitive Help

If you press F1 (or F2 as appropriate) in the context sensitive areas of the Visual LANSA windows and dialogs, the help relating to the item will be displayed in the Help tab at the bottom of the window. In the example below, F1 was pressed when the cursor was on the DISPLAY command line.

Because this window has no contents list, you will use the buttons to the left of the tab to move around the documentation:

 | Will retrace your steps back through the topics that you have visited
 | Will take you forward over the steps you have been.
 | Will open a window displaying all the LANSA guides so that you can search for a topic in all the guides. Refer to 3. Searching for the many search features.
 | Will open, in a new window, the guide for the topic you are looking at. The contents list of the opened guide will be at the page you have open in the help.
 | Opens the SET (Samples, Examples and Templates) documentation.
 | Opens a list of all the Online Tutorials supplied with LANSA. Selecting a link will open another page with the specific tutorial topics listed.
Ý | At the bottom of each window, you will see an up arrow with the name of a topic beside it. If you press the topic, you will be taken to the main topic above the one you are looking at. From there, you will be able to move down to related sub-topics. Finding related topics may be quicker using this feature than opening the whole guide using the blue book icon.

Note: The symbols shown above are also provided within each guide page. They have the same meaning whereever you see them.


8. Troubleshooting

If you are able to open the online files but some unexpected behavour occurs, go to CHM Troubleshooting on the LANSA web site.

You may find the solution there. If not, email LANSA Support for assistance.


Disclaimer

While every effort has been made to ensure that the information in the LANSA documentation is accurate. In no event shall LANSA be liable for any damages arising from its use.

LANSA MAKES NO WARRANTIES, EXPRESSED OR IMPLIED.


Legal Notices

Copyright and trademark information

© 2007 LANSA. "LANSA" is a trade name and registered trademark of LANSA in the United States of America, Australia, the United Kingdom and other countries. All rights reserved.

The following are some companies which require attribution:
Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both. Microsoft, Windows, .NET and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

Incorporating Microsoft Visual C/C++ compiler © 2005 Microsoft Corporation.

Other company, product, and service names may be trademarks or service marks of others.

This material may contain other proprietary notices and copyright information, the terms of which must be observed and followed.

Legal Information:

The information contained in this material represents the current view of LANSA on the issues discussed as of the date of publication. Because LANSA must respond to changing market conditions, it should not be interpreted to be a commitment on the part of LANSA, and LANSA cannot guarantee the accuracy of any information presented after the date of publication.

Information in this material may contain technical inaccuracies or typographical errors. All information is for informational purposes only. Every effort has been made to insure that the information in this material is accurate, however, in no event shall LANSA be liable for any damages arising from its use.

LANSA MAKES NO WARRANTIES, EXPRESS OR IMPLIED.

Information may be changed or updated without notice. LANSA may also make improvements and/or changes in the products and/or the programs described in this information at any time without notice.

LANSA does not want to receive confidential or proprietary information from you through our Web site or by any other medium. Please note that any information or material sent to LANSA will be deemed NOT to be confidential. By sending us any information or material, you grant LANSA an unrestricted, irrevocable license to use, reproduce, display, perform, modify, transmit and distribute those materials or information, and you also agree that LANSA is free to use any ideas, concepts, know-how or techniques that you send us for any purpose. However, we will not release your name or otherwise publicize the fact that you submitted materials or other information to us unless: (a) we obtain your permission to use your name; or (b) we first notify you that the materials or other information you submit to a particular part of this site will be published or otherwise used with your name on it; or (c) we are required to do so by law. You can learn more about LANSA privacy practices on the Web.

Global availability

Information LANSA publishes in this material may contain references or cross references to LANSA products, programs and services that are not announced or available in your country. Such references do not imply that LANSA intends to announce such products, programs or services in your country. Consult your local LANSA business contact for information regarding the products, programs and services which may be available to you.

LANSA's obligations with respect to its products and services are governed solely by the agreements under which they are provided. If you obtain a product or service from this material that is provided without an agreement, that product or service is provided "AS-IS" with no warranties whatsoever, express or implied, and your use of that product or service is at your own risk.

Business relationships

LANSA makes no representations whatsoever about any other Web site which you may access through this material. When you access a non-LANSA Web site, even one that may contain the LANSA-logo, please understand that it is independent from LANSA, and that LANSA has no control over the content on that Web site. In addition, a link to a non-LANSA Web site does not mean that LANSA endorses or accepts any responsibility for the content, or the use, of such Web site. It is up to you to take precautions to ensure that whatever you select for your use is free of such items as viruses, worms, trojan horses and other items of a destructive nature. IN NO EVENT WILL LANSA BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL DAMAGES FOR ANY USE OF THIS MATERIAL, OR ON ANY OTHER HYPER LINKED WEB SITE, INCLUDING, WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

LANSA PRIVACY PRACTICES ON THE WEB:

Personal information

At LANSA, we intend to give you as much control as possible over your personal information. In general, you can visit LANSA on the Web without telling us who you are or revealing any information about yourself. There are times, however, when we may need information from you, such as your name and address. It is our intent to let you know before we collect personal information from you on the Internet.

If you choose to give us personal information via the Internet that we or our business partners may need -- to correspond with you, process an order or provide you with a subscription, for example -- it is our intent to let you know how we will use such information. If you tell us that you do not wish to have this information used as a basis for further contact with you, we will respect your wishes. We do keep track of the domains from which people visit us. We analyze this data for trends and statistics, and then we discard it.

Information security and quality

We intend to protect the quality and integrity of your personally identifiable information. We have implemented appropriate technical and managerial procedures to maintain information that is accurate, current, and complete. We will make a sincere effort to respond to your requests to correct personal information inaccuracies in a timely manner.

Business relationships

The LANSA site contains links to other Web sites. LANSA is not responsible for the privacy practices or the content of such Web sites.


Disclaimer

While every effort has been made to ensure that the information in the LANSA documentation is accurate. In no event shall LANSA be liable for any damages arising from its use.

LANSA MAKES NO WARRANTIES, EXPRESSED OR IMPLIED.

Copyright and trademark information

© LANSA. "LANSA" is a trade name and registered trademark of LANSA in the United States of America, Australia, the United Kingdom and other countries. All rights reserved.

The following are some companies which require attribution:

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both. Microsoft, Windows, .NET and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

Other company, product, and service names may be trademarks or service marks of others.

This material may contain other proprietary notices and copyright information, the terms of which must be observed and followed.